/* global styles */
@import url('https://fonts.googleapis.com/css?family=Roboto');

.grid-2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

img {
    width: 5em;
    height: auto;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    background-color: #101214;
    color: #7A7C80;
}

h2,
.white {
    color: #fff;
}

a {
    color: #7A7C80;
    text-decoration: none;
}

/* section 1 */
.section-1 {
    padding-top: 40vh;
    text-align: center;
}

.section-1 p {
    font-size: 1.1rem;
    padding-bottom: 10px;
    margin: 0;
}

.section-1 h2 {
    font-size: 1.7rem;
    margin-bottom: 10px;
}

.section-1 a {
    font-size: 1.5rem;
    padding: 10px;
}

/* section 2 */
.section-2 {
    padding-top: 10vh;
    width: 70%;
}

.section-2 h2 {
    font-size: 1.7rem;
    margin-bottom: 10px;
}

.section-2 p {
    font-size: 1.1rem;
    padding-bottom: 10px;
    margin: 0;
}

.section-2 a {
    padding: 5px;
    padding-left: 0;
    width: 100px;
}

.caption {
    font-size: 0.7rem;
}

/* animations / utilities */
.section-2 a:hover {
    font-size: 1.3rem;
    color: #fff;
    cursor: pointer;
    transition: 0.2s;
}

.section-1 a:hover {
    color: #fff;
    cursor: pointer;
    transition: 0.3s;
}

.white:hover {
    position: relative;
    padding-left: 10px;
}

ul.book {
    list-style: "📚   ";
    list-style-position: outside;
}

ul.phone {
    list-style: "📱   ";
    list-style-position: outside;
}

ul.computer {
    list-style: "💻   ";
    list-style-position: outside;
}

ul.paper {
    list-style: "⚡   ";
    list-style-position: outside;
}

/* media queries */
@media(max-width:780px) {
    .grid-2 {
        grid-template-columns: 1fr;
    }

    .section-1 {
        padding: 0;
        padding-top: 5rem;
    }

    .section-2 {
        padding: 0;
        padding-left: 1.5rem;
        padding-top: 2rem;
    }

    .form-container {
        position: absolute;
        margin: 0;
        height: 100%;
        width: 100%;
        transform: translateY(-10%);
    }

    .show-form {
        transform: translateY(0);
    }
}

@media(min-width:781px) {
    .form-container {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        margin: 0;
    }
}

.link-container {
    display: flex;
    justify-content: center;
}

.contact-container {
    position: relative;
}

.form-container {
    transition: transform 0.3s ease-in-out;
    opacity: 0;
    display: flex;
    justify-content: center;
}

.show-form {
    opacity: 1;
    transition: 0.3s ease-in-out;
    pointer-events: auto;
}

.form-text {
    position: absolute;
    opacity: 0;
    transition: transform 0.3s ease-in-out;
    transform: translateY(-10%);
    pointer-events: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.show-overlay {
    transform: translateY(0);
    opacity: 1;
    transition: 0.3s ease-in-out;
    pointer-events: auto;
}

label {
    font-size: 12px;
    padding-bottom: 1px;
    color: #7A7C80;
}

input,
textarea {
    margin-bottom: 0.5rem;
    background-color: #3333;
    box-sizing: border-box;
    display: block;
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.26);
    outline: 0;
    width: 100%;
    padding: 0;
    box-shadow: none;
    border-radius: 0;
    font-size: 16px;
    font-family: inherit;
    line-height: inherit;
    background-image: none;
}

label,
input,
textarea {
    display: flex;
    color: #7A7C80;
}

textarea {
    width: max-content;
    height: 15rem;
}

.contact-flex {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.97);
}

legend {
    box-sizing: border-box;
    color: inherit;
    max-width: 100%;
    padding: 0;
    white-space: normal;
    padding-bottom: 20px;
    font-size: 20px;
}
